# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit unpacker

DEB_RELEASE="bullseye"

DESCRIPTION="Puppet SDK - develop and test puppet modules"
HOMEPAGE="https://puppetlabs.com/"
SRC_BASE="http://apt.puppetlabs.com/pool/${DEB_RELEASE}/puppet/${PN:0:1}/${PN}/${PN}_${PV}-1${DEB_RELEASE}"
SRC_URI="
	amd64? ( ${SRC_BASE}_amd64.deb )
"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT="strip"

S=${WORKDIR}

RDEPEND="virtual/libcrypt:="

QA_PREBUILT="
	/opt/puppetlabs/pdk
	/opt/puppetlabs/pdk/lib/engines/*
	/opt/puppetlabs/pdk/lib/*
	/opt/puppetlabs/pdk/bin/*"

src_install() {
	# Drop the opt folder into place
	insinto /opt
	doins -r opt/*

	# make binaries executable
	find "${D}/opt/puppetlabs/pdk/" -type d -name bin -exec chmod 0755 -R "{}" ";"

	dosym ../../opt/puppetlabs/pdk/bin/pdk /usr/bin/pdk
}
